# H4503_ARGUMENT_divertingLegInformation3 Class Reference

`#include <h4503.h>`

Inheritance diagram for H4503_ARGUMENT_divertingLegInformation3:

List of all members.

## Public Types

enum | OptionalFields { e_redirectionNr, e_redirectionInfo, e_extension }

## Public Member Functions

| H4503_ARGUMENT_divertingLegInformation3 (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4501_PresentationAllowedIndicator | m_presentationAllowedIndicator
H4501_EndpointAddress | m_redirectionNr
PASN_BMPString | m_redirectionInfo
H4503_ARGUMENT_divertingLegInformation3_extension | m_extension

## Member Enumeration Documentation

enum H4503_ARGUMENT_divertingLegInformation3::OptionalFields

Enumerator:

  e_redirectionNr |
  e_redirectionInfo |
  e_extension |

## Constructor & Destructor Documentation

H4503_ARGUMENT_divertingLegInformation3::H4503_ARGUMENT_divertingLegInformation3 | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4503_ARGUMENT_divertingLegInformation3::GetDataLength | ( |  | ) | const

PBoolean H4503_ARGUMENT_divertingLegInformation3::Decode | ( | PASN_Stream & | strm | ) |

void H4503_ARGUMENT_divertingLegInformation3::Encode | ( | PASN_Stream & | strm | ) | const

void H4503_ARGUMENT_divertingLegInformation3::PrintOn | ( | ostream & | strm | ) | const

Comparison H4503_ARGUMENT_divertingLegInformation3::Compare | ( | const PObject & | obj | ) | const

PObject* H4503_ARGUMENT_divertingLegInformation3::Clone | ( |  | ) | const

## Member Data Documentation

H4501_PresentationAllowedIndicator H4503_ARGUMENT_divertingLegInformation3::m_presentationAllowedIndicator

H4501_EndpointAddress H4503_ARGUMENT_divertingLegInformation3::m_redirectionNr

PASN_BMPString H4503_ARGUMENT_divertingLegInformation3::m_redirectionInfo

H4503_ARGUMENT_divertingLegInformation3_extension H4503_ARGUMENT_divertingLegInformation3::m_extension

The documentation for this class was generated from the following file:

- h4503.h